{ pkgs, ... }:
let
  mizukios-logo = pkgs.callPackage ./assets/mizukios-logo.nix { };
in
{
  system.nixos = {
    distroName = "MizukiOS";
    distroId = "mizukios";

    extraOSReleaseArgs = {
      LOGO = "mizukios";
    };
  };

  environment.systemPackages = [ mizukios-logo ];
}
